/*
 * Author: sdeitte
 *
 * Copyright (c) 2016 Trustwave Holdings, Inc.
 * All Rights Reserved.
 *
 * This software is the confidential and proprietary information
 * of Trustwave Holdings, Inc.  Use of this software is governed by
 * the terms and conditions of the license statement and limited
 * warranty furnished with the software.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD TRUSTWAVE HOLDINGS INC.,
 * ITS RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST
 * ANY CLAIMS OR LIABILITIES ARISING OUT OF OR RESULTING FROM THE USE,
 * MODIFICATION, OR DISTRIBUTION OF PROGRAMS OR FILES CREATED FROM,
 * BASED ON, AND/OR DERIVED FROM THIS SOURCE CODE FILE.
 */
library saved_search.common_model;

import 'package:tw_portal/portal.dart';

part 'model.g.dart';

@Json(remoteClass: "search.SavedSearch")
class SavedSearch {
  String searchName;
  dynamic searchCriteria;

  Map<String, dynamic> toJson() => _$SavedSearchToJson(this);
  static SavedSearch fromJson(Map<String, dynamic> map) => _$SavedSearchFromJson(map);
  static void registerJson([Serializer s]) => _$SavedSearchRegisterJson(s);
}
